0
votes
3answers
44 views

Building PHP For MacOS

I was using XAMPP and decided to uninstall it and use MacOS' in-built apache and php modules. But while uninstalling XAMPP I deleted /usr/bin/php files and other PHP-CLI files accidentally. And I ...
0
votes
1answer
856 views

Upgrade to PHP 5.3.23 on Ubuntu 12.04

I want to use Zend Framework 2. I have installed the ZendSkeleton Application. When I try to install Framework, I get the following error: #> php composer.phar install Warning: This development build ...
1
vote
0answers
194 views

php PDO sqlsrv “could not find driver”

My configuration: - Windows Server 2012 - SQL Server 2012 - Apache 2.4.9 - PHP 5.5.10 My php.ini includes the line - extension=php_pdo_sqlsrv_55_ts.dll My "ext" folder includes the file - ...
0
votes
1answer
41 views

How do I fix the default version of PHP after uninstalling PHP OSX?

I installed PHP OSX because I wanted to test some PHP 5.5 code on the command-line/interactive shell. On my local web server, I started receiving errors in functional code from before I installed PHP ...
0
votes
1answer
214 views

Mamp server is compiling very slow

I'm running PHP 5.5.3 on a MAMP server, and the "compiling" of my php-file takes quite a lot of time. I've heard that I should disable the caching in the php.ini file, but I can't seem to find ...
0
votes
1answer
145 views

Updating php 5.3.x to 5.4.x

Currently I'm on PHP 5.3.6 and would like to upgrade to 5.4.x or 5.5.x Trough this website: http://php-osx.liip.ch/ I've installed PHP 5.5 and when I log in my terminal (php -v) I get this: PHP ...
0
votes
1answer
32 views

Configure a Win server 2003 to php

We have a Win server 2003 SP2 that we do not use now but it would be great to turn this into a php server. What we would like is to use the latest php version 5.5.* and all the mod cons, but before i ...
0
votes
0answers
219 views

Zend Guard Loader PHP 5.5

Do Zend Guard not support PHP 5.5 at all? This subject seems to be very illusive. No one seems to know. There was a rumour that Optimizer+ was going to be integrated with 5.5, but it does not appear ...
0
votes
0answers
58 views

Apache no longer recognises php files after PEAR installation

Am reviving an old laptop so I can do some work while travelling. Need to upgrade PHPUnit (amongst other things), and came across this question, How to install an updated version of PEAR / PHPUnit on ...
0
votes
0answers
152 views

php 5.4 on ubuntu 10.04 with parallels plesk 10.4.4 not working

I'm working in linux ubuntu 10.04 It's for the first time together with parallels plesk 10.4.4. Parallels plesk only comes with php 5.3 and I really need php 5.4 . Is it possible to install php 5.4 ...
0
votes
1answer
115 views

make error in PHP_PERL

I am following the answer in this thread to make the perl module for php. am using ubuntu 12.10. unable to use PHP_PERL extension. Unable to install the extension as well The short steps are: ...
5
votes
0answers
430 views

Should we still set cgi.fix_pathinfo=0 when configuring nginx+php5-fpm?

Security breach was found in nginx+php5-fpm default configuration in 2010. A lot of nginx+php5-fpm configuration guides tell us to set cgi.fix_pathinfo=0 to be safe. Is it still actual for current ...
2
votes
1answer
311 views

Going crazy with php5apache2_4.dll not found

I have a computer with Win XP SP3 and I was going to install a WAMP system on it. I already had a pwerfectly working WAMP (Uniform Server, it is a portable wamp that works on usb stick) on another ...
5
votes
1answer
415 views

Making Apache use compiled PHP instead of bundled package on Debian

My ultimate goal is to install OwnCloud on my Debian box, a 64-bit squeeze. My setup is pretty simple. I have installed OpenPanel which in turn installs all of the required LAMP modules via APT-GET. ...
2
votes
1answer
865 views

100 % cpu usage debian 32 bit due to apache processes

So there is a VPS with openvz virtualization, with debian 6.0 32 bit The problem is appearing approx. 1 week ago. The automatic security monitoring system is shutting down the vps that i'm running ...
0
votes
1answer
2k views

Apache Startup doesn't work with PHP 5.3 in Debian Lenny

Today I updated PHP 5.2 to 5.3 but then Apache Startup doesn't work. Apache says: Starting web server: apache2apache2: Syntax error on line 205 of /etc/apache2/apache2.conf: Syntax error on ...
1
vote
1answer
656 views

How to execute home directory shell script file in php

How to execute /home/scripts/test.sh file in php Previously i have placed 'test.sh' file in the /usr/bin and calling in my php file like this exec('test.sh ' . escapeshellarg($testString)); But ...
1
vote
1answer
2k views

PHP files are downloaded instead of getting interpreted

I'm encountring some difficulties with my Apache2/PHP5. All was well-configured and working, but after reinstalling apache2, the PHP files are displayed without being interpreted. I tried many ...
0
votes
2answers
579 views

ubuntu 10.04 command “# type php” returns nothing

I have 2 LAMP servers with ubuntu 10.04... both with php5 successfully installed. on server1 i run the command # type php in terminal and the response is: "php is /usr/bin/php" however in server2 I ...
1
vote
2answers
2k views

Unable to find php binary

PHP is running fine with apache on my server. I want to use it from command line but I am unable to find the binary: root@....:~# whereis php php: root@....:~# whereis php5 php5: /etc/php5 ...